package com.intersult.jsf2;

import java.io.IOException;
import java.util.Map;

import javax.faces.component.UIComponent;
import javax.faces.component.UIComponentBase;
import javax.faces.context.FacesContext;

public class Delegate extends UIComponentBase {
	private final UIComponent child;

	public Delegate(UIComponent child) {
		this.child = child;
	}

	@Override
	public String getFamily() {
		return "javax.faces.NamingContainer";
	}

	@Override
	public String getRendererType() {
		return "javax.faces.Composite";
	}

	@Override
	public Map<String, UIComponent> getFacets() {
		return child.getFacets();
	}

	@Override
	public void encodeBegin(FacesContext context) throws IOException {
		getParent().encodeBegin(context);
	}

	@Override
	public void encodeEnd(FacesContext context) throws IOException {
		getParent().encodeEnd(context);
	}
}