package com.intersult.jsf2;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;

@ManagedBean
@SessionScoped
public class TestBean implements Serializable {
  private String name;
  private List<String> list;

  public String getName() {
    return name;
  }
  public void setName(String name) {
    this.name = name;
  }

  public List<String> getList() {
	if (list == null) {
		list = new ArrayList<String>();
		list.add("eins");
		list.add("zwei");
		list.add("drei");
	}
	return list;
  }

  public void reverse() {
    name = new StringBuilder(name).reverse().toString();
  }
  public void sort(boolean descending) {
    char[] chars = name.toCharArray();
    Arrays.sort(chars);
    name = new String(chars);
  }
}