<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
		xmlns:composite="http://java.sun.com/jsf/composite">
	<xsl:template match="/">
		<taglib xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://java.sun.com/xml/ns/javaee"
				xsi:schemaLocation="http://java.sun.com/xml/ns/javaee http://java.sun.com/xml/ns/javaee/web-jsptaglibrary_2_1.xsd"
				version="2.1">
		    <tlib-version>2.1</tlib-version>
		    <short-name>test</short-name>
		    <uri>http://java.sun.com/jsf/composite/test</uri>
			<xsl:apply-templates/>
		</taglib>
	</xsl:template>
	<xsl:template match="//composite:interface">
		<tag>
			<name><xsl:value-of select="@name"/></name>
			<xsl:apply-templates/>
		</tag>
	</xsl:template>
	<xsl:template match="composite:attribute">
		<attribute>
			<name><xsl:value-of select="@name"/></name>
			<xsl:if test="@required = 'true'">
				<required>true</required>
			</xsl:if>
			<xsl:if test="@shortDescription">
				<description><xsl:value-of select="@shortDescription"/></description>
			</xsl:if>
		</attribute>
	</xsl:template>
</xsl:stylesheet>